Skip to content

Conditionally replace the account authorization file ​

http
PUT /api/v1/llm-accounts/{id}/auth-file

Conditionally replace the account authorization file

operationId: replace_auth_file

Authentication ​

HTTPBearer / BrowserSession

See browser access. Session mutations require a Bearer key.

Parameters ​

NameInRequiredTypeDescription and constraints
idpathYesstringformat: "uuid"
If-MatchheaderYesstringminLength: 1

Request body ​

application/json: AuthFile

json
{
  "$ref": "#/components/schemas/AuthFile"
}

Responses ​

CodeDescriptionContent
204Conditionally replace the account authorization file
defaultInvalid input (422), unauthorized (401), forbidden origin (403), missing record (404), conflict (409), or unavailable storage (503).application/json: ErrorResponse

Response headers 204 ​

  • ETag: string

HTTP API